from src.batch.ultmarc.utmp_tables.tables.ultmarc_table import UltmarcTable


class ComAlma(UltmarcTable):
    """レイアウト区分004: COM_出身校"""
    maint_flag: str  # 修正区分
    alma_cd: str     # 出身校コード
    alma: str        # 出身校

    def __init__(self, record: list[str]):
        super().__init__(record)
        self.maint_flag = record[2]
        self.alma_cd = record[1]
        self.alma = record[5]
